## org.eclipse.emf.ecoretools.diagram.ui.outline
Class NavigatorContentProvider

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.ui.outline.NavigatorContentProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider

    public class NavigatorContentProvider

extends java.lang.Object
implements org.eclipse.jface.viewers.ITreeContentProvider

This Content Provider displays contents of model and diagrams. For the model, this provider delegates contents computing to the model content provider.
creation : 7 dec. 2004

Constructor Summary
`NavigatorContentProvider(org.eclipse.gmf.runtime.diagram.ui.parts.IDiagramGraphicalViewer viewer, org.eclipse.jface.viewers.ITreeContentProvider delegatedProvider)` Constructor

Method Summary
`void` `dispose()`
`protected AdditionalResources` `getAdditionalResources()` Returns the additional resources node
`java.lang.Object[]` `getChildren(java.lang.Object parentElement)`
`protected org.eclipse.gmf.runtime.notation.Diagram` `getCurrentDiagram()` Return the current Diagram element associated with the viewer
`java.lang.Object[]` `getElements(java.lang.Object inputElement)`
`java.lang.Object` `getParent(java.lang.Object element)`
`boolean` `hasChildren(java.lang.Object element)`
`void` `inputChanged(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavigatorContentProvider

    public NavigatorContentProvider(org.eclipse.gmf.runtime.diagram.ui.parts.IDiagramGraphicalViewer viewer,
                                    org.eclipse.jface.viewers.ITreeContentProvider delegatedProvider)

  Constructor

  Parameters:
    `viewer` - the editor
    `delegatedProvider` - the delegated content provider

Method Detail

### getCurrentDiagram

    protected org.eclipse.gmf.runtime.notation.Diagram getCurrentDiagram()

  Return the current Diagram element associated with the viewer

  Returns:
    Diagram

### getAdditionalResources

    protected AdditionalResources getAdditionalResources()

  Returns the additional resources node

  Returns:
    the node

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object parentElement)

  Specified by:
    `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  See Also:
    `ITreeContentProvider.getChildren(java.lang.Object)`

### getParent

    public java.lang.Object getParent(java.lang.Object element)

  Specified by:
    `getParent` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  See Also:
    `ITreeContentProvider.getParent(java.lang.Object)`

### hasChildren

    public boolean hasChildren(java.lang.Object element)

  Specified by:
    `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  See Also:
    `ITreeContentProvider.hasChildren(java.lang.Object)`

### getElements

    public java.lang.Object[] getElements(java.lang.Object inputElement)

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
  See Also:
    `IStructuredContentProvider.getElements(java.lang.Object)`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`
  See Also:
    `IContentProvider.dispose()`

### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

  Specified by:
    `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`
  See Also:
    `IContentProvider.inputChanged(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)`

Copyright 2007 Anyware Technologies. All Rights Reserved.